Kajaani Kombat v0.7
-------------------
Kajaani Kombat is a funny multiplayer game... and much more!
It is a rampart-like game (old arcade classic) set in space.

Kajaani Kombat is playable with two to four players, over the internet
or alternatively two players sharing one computer. It is also possible
to play over the internet with, for example, 4 players of which two are
sharing the same computer. Enjoy it with your friends!

Requirements
------------
To compile from source, the following is needed:

Client (includes a built-in server):
-libsdl-dev
-libsdl-image-dev
-libsdl-ttf-dev
-libsdl-net-dev
.libsdl-mixer
-libfreetype-dev

Command-line server:
-libsdl-dev
-libsdl-net-dev

Linux/Unix/etc.
---------------
Client (with the build-in server) can be compiled with 'make' and 
the stand-alone server with 'make server'. Debug release for developing
purposes can be compiled with 'make sys=DEBUG'.

Debian packages and links to rpm packages are available on the project 
website.

Mac OS X
--------
Xcode project builder files are included in directory osx/ of the source
package. To use them, you need the following frameworks (installed in
$(HOME)/Library/Frameworks; and make sure they are readable (go+rx)!):
-SDL
-SDL.net
-SDL.ttf
-SDL.mixer
-SDL.image

After that, open project.pbxproj in your favourite text-editor, and replace
all occurances of string /Users/tommi with your home directory (for example,
with /Users/jack). After this, the project should be compilable.

Links for downloading all these can be found on SDL webpage.

Windows (Visual C++)
--------------------
The project workspace for compiling under Visual C++ can be found in the
directory VisualC/. The project website contains also pre-compiled binary
packages for windows.

Usage
-----
Client:

Just start the client executable:

on *nix:
./kajaani-kombat [-fs]
With switch -fs the client starts in full-screen mode. 

on windows:
kajaani-kombat.exe [-fs] (or doubleclick the icon)
With switch -fs the client starts in full-screen mode. 

on Mac osX:
./kajaani-kombat [-fs] (or doubleclick the icon)
With switch -fs the client starts in full-screen mode. 

Keys (can be changed from options):
-----
First local player (player 1):
UP: up arrow
DOWN: down arrow
LEFT: left arrow
RIGHT: right arrow
ACTION 1: o
ACTION 2: p
TALK: 1 (if available)

Second local player (player 2):
UP: w
DOWN: s
LEFT: a
RIGHT: d
ACTION 1: v
ACTION 2: b
TALK: 2 (if available)

The keys are changable in options-menu, and will be saved to the resource 
file ~/.kkrc. Behaviour of the action keys depends according to the current
 play mode:

Castle choosing mode:
ACTION 1 or ACTION 2 chooses a castle.

Cannon placing mode: 
ACTION 1 places a cannon and ACTION 2 changes cannon type if other than
basic cannon is available. If you have 3 or more small cannons to place, 
you can put a big cannon instead of 3 small cannons. Big cannons resist more
damage, and their shots destroy cannons with a single hit!

Shooting mode:
When ACTION 2 is pressed, cursor moves faster. ACTION 1 shoots.

Repair mode: 
ACTION 2 rotates the block, ACTION 1 places it. Moving in the graphical
menus is done with up & down arrows. Enter 'activates' a button, and ESC
exits from the current menu to the previous one.

In addition, when in the game, ESC exits the game (disconnects) and
shuts down the server if you were hosting the game. TALK keys open 
a talk prompt where one can write messages to other players.

Command-line server:
--------------------
The command-line server can be used from v0.5 only in non-interactive mode.
The command line options are as follows:

kajaani-kombat-server -a num [-p port] [-n num_castles] [-w wins]

Where [] indicates an optional parameter. So, to start the server
with default port, default number of castles, default number of wins and game
starting after 3 players have connected, use:

./kajaani-kombat-server -a 3

Kajaani Kombat can be played with 2-4 players.

Contacting, bug reports, etc.
-----------------------------
Kajaani Kombat has website at http://kombat.kajaani.net.
There are instructions on the website on how to submit a bug report.

Kajaani Kombat team can be reached by email via kk@medusa.tutka.fi.

License
-------
Kajaani Kombat is Copyright (C) 2004-2005 Tommi Tervonen, Petteri
Klemola, Pasi Orovuo, Marko Mattila and is released under the GNU
General Public License v2. See COPYING for details.

All graphics are Copyright (C) 2004-2005 Jukka Reiniharju.
All music and soundfx Copyright (C) 2004-2005 Sami Pyöttiälä.

HELP!
-----
Help is needed. Please consult the webpage or contact the team
directly by email. Help in all areas is needed (gfx,code,sfx)!

Greets & thanks
---------------
-Karl Barter, the creator of the Castle Combat which inspired us to make
Kajaani Kombat.
-Dries Verachtert, who provided us with a patch for KK to compile under gcc-3.4.
-All who have helped in playtesting and given ideas for the game.
